Package org.eclipse.rdf4j.model.vocabulary

## Class FOAF

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.FOAF

-     public class FOAF
      extends Object

  Constants for FOAF primitives and for the FOAF namespace.
  Resources here are defined according to the FOAF specs on http://xmlns.com/foaf/spec/, version 0.99, 14 January 2014

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ACCOUNT` |
    `static IRI` | `ACCOUNT_NAME` |
    `static IRI` | `ACCOUNT_SERVICE_HOMEPAGE` |
    `static IRI` | `AGE` |
    `static IRI` | `AGENT` |
    `static IRI` | `AIM_CHAT_ID` |
    `static IRI` | `BASED_NEAR` |
    `static IRI` | `BIRTHDAY` |
    `static IRI` | `CURRENT_PROJECT` |
    `static IRI` | `DEPICTION` |
    `static IRI` | `DEPICTS` |
    `static IRI` | `DNA_CHECKSUM` |
    `static IRI` | `DOCUMENT` |
    `static IRI` | `FAMILY_NAME` |
    `static IRI` | `FAMILYNAME` | Deprecated. Use FAMILY_NAME instead for new statements
    `static IRI` | `FIRST_NAME` |
    `static IRI` | `FOCUS` |
    `static IRI` | `FUNDED_BY` |
    `static IRI` | `GEEKCODE` |
    `static IRI` | `GENDER` |
    `static IRI` | `GIVEN_NAME` |
    `static IRI` | `GIVENNAME` | Deprecated. Use GIVEN_NAME instead for new statements
    `static IRI` | `GROUP` |
    `static IRI` | `HOLDS_ACCOUNT` |
    `static IRI` | `HOMEPAGE` |
    `static IRI` | `ICQ_CHAT_ID` |
    `static IRI` | `IMAGE` |
    `static IRI` | `IMG` |
    `static IRI` | `INTEREST` |
    `static IRI` | `IS_PRIMARY_TOPIC_OF` |
    `static IRI` | `JABBER_ID` |
    `static IRI` | `KNOWS` |
    `static IRI` | `LABEL_PROPERTY` |
    `static IRI` | `LAST_NAME` |
    `static IRI` | `LOGO` |
    `static IRI` | `MADE` |
    `static IRI` | `MAKER` |
    `static IRI` | `MBOX` |
    `static IRI` | `MBOX_SHA1SUM` |
    `static IRI` | `MEMBER` |
    `static IRI` | `MEMBERSHIP_CLASS` |
    `static IRI` | `MSN_CHAT_ID` |
    `static IRI` | `MYERS_BRIGGS` |
    `static IRI` | `NAME` |
    `static String` | `NAMESPACE` | The FOAF namespace: http://xmlns.com/foaf/0.1/
    `static IRI` | `NICK` |
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the FOAF namespace.
    `static IRI` | `ONLINE_ACCOUNT` |
    `static IRI` | `ONLINE_CHAT_ACCOUNT` |
    `static IRI` | `ONLINE_ECOMMERCE_ACCOUNT` |
    `static IRI` | `ONLINE_GAMING_ACCOUNT` |
    `static IRI` | `OPENID` |
    `static IRI` | `ORGANIZATION` |
    `static IRI` | `PAGE` |
    `static IRI` | `PAST_PROJECT` |
    `static IRI` | `PERSON` |
    `static IRI` | `PERSONAL_PROFILE_DOCUMENT` |
    `static IRI` | `PHONE` |
    `static IRI` | `PLAN` |
    `static String` | `PREFIX` | The recommended prefix for the FOAF namespace: "foaf"
    `static IRI` | `PRIMARY_TOPIC` |
    `static IRI` | `PROJECT` |
    `static IRI` | `PUBLICATIONS` |
    `static IRI` | `SCHOOL_HOMEPAGE` |
    `static IRI` | `SHA1` |
    `static IRI` | `SKYPE_ID` |
    `static IRI` | `STATUS` |
    `static IRI` | `SURNAME` |
    `static IRI` | `THEME` |
    `static IRI` | `THUMBNAIL` |
    `static IRI` | `TIPJAR` |
    `static IRI` | `TITLE` |
    `static IRI` | `TOPIC` |
    `static IRI` | `TOPIC_INTEREST` |
    `static IRI` | `WEBLOG` |
    `static IRI` | `WORK_INFO_HOMEPAGE` |
    `static IRI` | `WORKPLACE_HOMEPAGE` |
    `static IRI` | `YAHOO_CHAT_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FOAF()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The FOAF namespace: http://xmlns.com/foaf/0.1/
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the FOAF namespace: "foaf"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the FOAF namespace.

    - #### AGENT

          public static final IRI AGENT

    - #### DOCUMENT

          public static final IRI DOCUMENT

    - #### GROUP

          public static final IRI GROUP

    - #### IMAGE

          public static final IRI IMAGE

    - #### LABEL_PROPERTY

          public static final IRI LABEL_PROPERTY

    - #### ONLINE_ACCOUNT

          public static final IRI ONLINE_ACCOUNT

    - #### ONLINE_CHAT_ACCOUNT

          public static final IRI ONLINE_CHAT_ACCOUNT

    - #### ONLINE_ECOMMERCE_ACCOUNT

          public static final IRI ONLINE_ECOMMERCE_ACCOUNT

    - #### ONLINE_GAMING_ACCOUNT

          public static final IRI ONLINE_GAMING_ACCOUNT

    - #### ORGANIZATION

          public static final IRI ORGANIZATION

    - #### PERSON

          public static final IRI PERSON

    - #### PERSONAL_PROFILE_DOCUMENT

          public static final IRI PERSONAL_PROFILE_DOCUMENT

    - #### PROJECT

          public static final IRI PROJECT

    - #### ACCOUNT

          public static final IRI ACCOUNT

    - #### ACCOUNT_NAME

          public static final IRI ACCOUNT_NAME

    - #### ACCOUNT_SERVICE_HOMEPAGE

          public static final IRI ACCOUNT_SERVICE_HOMEPAGE

    - #### AGE

          public static final IRI AGE

    - #### AIM_CHAT_ID

          public static final IRI AIM_CHAT_ID

    - #### BASED_NEAR

          public static final IRI BASED_NEAR

    - #### BIRTHDAY

          public static final IRI BIRTHDAY

    - #### CURRENT_PROJECT

          public static final IRI CURRENT_PROJECT

    - #### DEPICTION

          public static final IRI DEPICTION

    - #### DEPICTS

          public static final IRI DEPICTS

    - #### DNA_CHECKSUM

          public static final IRI DNA_CHECKSUM

    - #### FAMILY_NAME

          public static final IRI FAMILY_NAME

    - #### FAMILYNAME

          @Deprecated
          public static final IRI FAMILYNAME

      Deprecated.
      Use FAMILY_NAME instead for new statements

    - #### FIRST_NAME

          public static final IRI FIRST_NAME

    - #### FOCUS

          public static final IRI FOCUS

    - #### FUNDED_BY

          public static final IRI FUNDED_BY

    - #### GEEKCODE

          public static final IRI GEEKCODE

    - #### GENDER

          public static final IRI GENDER

    - #### GIVEN_NAME

          public static final IRI GIVEN_NAME

    - #### GIVENNAME

          @Deprecated
          public static final IRI GIVENNAME

      Deprecated.
      Use GIVEN_NAME instead for new statements

    - #### HOLDS_ACCOUNT

          public static final IRI HOLDS_ACCOUNT

    - #### HOMEPAGE

          public static final IRI HOMEPAGE

    - #### ICQ_CHAT_ID

          public static final IRI ICQ_CHAT_ID

    - #### IMG

          public static final IRI IMG

    - #### INTEREST

          public static final IRI INTEREST

    - #### IS_PRIMARY_TOPIC_OF

          public static final IRI IS_PRIMARY_TOPIC_OF

    - #### JABBER_ID

          public static final IRI JABBER_ID

    - #### KNOWS

          public static final IRI KNOWS

    - #### LAST_NAME

          public static final IRI LAST_NAME

    - #### LOGO

          public static final IRI LOGO

    - #### MADE

          public static final IRI MADE

    - #### MAKER

          public static final IRI MAKER

    - #### MBOX

          public static final IRI MBOX

    - #### MBOX_SHA1SUM

          public static final IRI MBOX_SHA1SUM

    - #### MEMBER

          public static final IRI MEMBER

    - #### MEMBERSHIP_CLASS

          public static final IRI MEMBERSHIP_CLASS

    - #### MSN_CHAT_ID

          public static final IRI MSN_CHAT_ID

    - #### MYERS_BRIGGS

          public static final IRI MYERS_BRIGGS

    - #### NAME

          public static final IRI NAME

    - #### NICK

          public static final IRI NICK

    - #### OPENID

          public static final IRI OPENID

    - #### PAGE

          public static final IRI PAGE

    - #### PAST_PROJECT

          public static final IRI PAST_PROJECT

    - #### PHONE

          public static final IRI PHONE

    - #### PLAN

          public static final IRI PLAN

    - #### PRIMARY_TOPIC

          public static final IRI PRIMARY_TOPIC

    - #### PUBLICATIONS

          public static final IRI PUBLICATIONS

    - #### SCHOOL_HOMEPAGE

          public static final IRI SCHOOL_HOMEPAGE

    - #### SHA1

          public static final IRI SHA1

    - #### SKYPE_ID

          public static final IRI SKYPE_ID

    - #### STATUS

          public static final IRI STATUS

    - #### SURNAME

          public static final IRI SURNAME

    - #### THEME

          public static final IRI THEME

    - #### THUMBNAIL

          public static final IRI THUMBNAIL

    - #### TIPJAR

          public static final IRI TIPJAR

    - #### TITLE

          public static final IRI TITLE

    - #### TOPIC

          public static final IRI TOPIC

    - #### TOPIC_INTEREST

          public static final IRI TOPIC_INTEREST

    - #### WEBLOG

          public static final IRI WEBLOG

    - #### WORK_INFO_HOMEPAGE

          public static final IRI WORK_INFO_HOMEPAGE

    - #### WORKPLACE_HOMEPAGE

          public static final IRI WORKPLACE_HOMEPAGE

    - #### YAHOO_CHAT_ID

          public static final IRI YAHOO_CHAT_ID

  - ### Constructor Detail

    - #### FOAF

          public FOAF()